# $Revision: 1.35 $, $Date: 2010/05/29 23:23:25 $
# TODO: security problem (/tmp/nvclock symlink attack possible)
Summary:	NVidia overclock utility
Summary(pl.UTF-8):	Narzędzie do podkręcania kart NVidii
Name:		nvclock
Version:	0.8b4
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www.linuxhardware.org/nvclock/%{name}%{version}.tar.gz
# Source0-md5:	23f1b3ebf40f35d76d5fdac50f66ab11
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.linuxhardware.org/nvclock/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2.4.0
BuildRequires:	qt-devel >= 2.2.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program allows you to overclock your NVidia card under linux.

Warning! It can burn your graphics card!

%description -l pl.UTF-8
Ten program pozwala na podkręcanie karty graficznej NVidia pod
Linuksem.

Uwaga! Może on spalić kartę graficzną!

%package common
Summary:	Common files for different GUI versions of nvclock
Summary(pl.UTF-8):	Wspólne pliki dla różnych wersji GUI nvclock
Group:		Applications/System

%description common
This package provides common files for different GUI versions of
nvclock.

%description common -l pl.UTF-8
Ten pakiet dostarcza wspólne pliki dla różnych wersji interfejsu
graficznego programu nvclock.

%package gtk
Summary:	GTK+ version of nvclock
Summary(pl.UTF-8):	nvclock z interfejsem GTK+
Group:		Applications/System
Requires:	%{name}-common = %{version}-%{release}

%description gtk
This program allows you to overclock your NVidia card under linux.

Warning! It can burn your graphics card!

This is GTK+ version.

%description gtk -l pl.UTF-8
Ten program pozwala na podkręcanie karty graficznej NVidia pod
Linuksem.

Uwaga! Może on spalić kartę graficzną!

To jest wersja GTK+.

%package qt
Summary:	Qt version of nvclock
Summary(pl.UTF-8):	nvclock z interfejsem Qt
Group:		Applications/System
Requires:	%{name}-common = %{version}-%{release}

%description qt
This program allows you to overclock your NVidia card under linux.

Warning! It can burn your graphics card!

This is Qt version.

%description qt -l pl.UTF-8
Ten program pozwala na podkręcanie karty graficznej NVidia pod
Linuksem.

Uwaga! Może on spalić kartę graficzną!

To jest wersja Qt.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1

%{__perl} -pi -e 's/-lqt/-lqt-mt/' src/qt/Makefile.in

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-gtk \
	--enable-qt \
	QT_LIB_DIR=%{_libdir}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ABOUT AUTHORS ChangeLog FAQ README
%attr(755,root,root) %{_bindir}/nvclock
%attr(755,root,root) %{_bindir}/smartdimmer
%{_mandir}/man1/nvclock*

%files common
%defattr(644,root,root,755)
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nvclock_gtk

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nvclock_qt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nvclock.spec,v $
Revision 1.35  2010/05/29 23:23:25  arvenil
- up to 0.8b4
- removed exclude x8664 arch; builds and works fine
- sbindir => bindir; users can use it too
- release 1

Revision 1.34  2008/12/30 23:05:08  charles
- updated to 0.8b3a

Revision 1.33  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.31  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.30  2006/10/20 08:13:16  czarny
- up to 0.8b2

Revision 1.29  2006/01/21 12:19:35  charles
- updated to 0.8b

Revision 1.28  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.27  2005/04/13 07:41:59  qboosh
- oops, reverted magical EA change

Revision 1.26  2005/04/13 05:59:11  qboosh
- versioned BRs, comments

Revision 1.25  2005/04/08 13:35:28  kolodko
- EA. amd64 suggest by lobo (at) chello.pl
- s/gtk+/gtk+2
- BR: pkgconfig

Revision 1.24  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.23  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.22  2004/04/10 18:40:00  qboosh
- link with qt-mt; typo, strict internal deps, release 3

Revision 1.21  2003/12/10 18:53:06  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.20  2003/08/18 08:08:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/07/30 20:19:50  adamg
- emphasize warnings
- removed commented out automake in %%build

Revision 1.18  2003/07/30 18:53:14  grzegol
- use %%{name} macro
- s/nvidia/NVidia/

Revision 1.17  2003/07/30 08:47:51  qboosh
- pl cosmetics

Revision 1.16  2003/07/29 19:53:14  adamg
- updated to 0.7.
- changed source0/URL addresses.
- added -DESTDIR patch.
- we no longer create .desktop file with cat > file <<EOF, keep it in
  separate source.
- added qt package (another GUI version of nvclock), thus BR: qt-devel.
- moved nvclock.png and nvclock.desktop to separate package (common) required
  by qt and gtk packages.
- do not use automake.
- cosmetic changes in gtk and qt description to emphasize warnings.

Revision 1.15  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:51:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.12  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/05/21 23:14:17  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/23 10:56:50  wolf
- small changes in description, proper one for nvclock-gtk (it's not frontend)
- added icon, desktop file
- release 2

Revision 1.9  2002/04/09 14:49:17  kloczek
- added full regenerate ac/am files.

Revision 1.8  2002/03/31 12:02:40  wolf
- updated to 0.5
- gtk subpackage
- warning in description

Revision 1.7  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/06 09:42:17  qboosh
- Group changed to Applications/System; release 2

Revision 1.3  2001/11/14 11:47:11  filon
- changed to %%%configure2_13, to make it build

Revision 1.2  2001/04/01 11:48:20  misiek
bindir->sbindir

Revision 1.1  2001/04/01 11:45:31  misiek
NVidia overclock utility; stb
